Page MenuHomePhabricator

Redirect svgtranslate from toolserver.org
Closed, ResolvedPublic

Description

We should redirect URLs of the form

https://toolserver.org/~nikola/svgtranslate.php?svg=(.*)

to

https://tools.wmflabs.org/svgtranslate/search?filename=$1

Event Timeline

Restricted Application added a project: Community-Tech. · View Herald TranscriptMay 24 2019, 8:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 512341 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[operations/puppet@production] toolserver: redirect svgtranslate to toolforge

https://gerrit.wikimedia.org/r/512341

Niharika triaged this task as Normal priority.May 29 2019, 7:51 PM
aezell added a subscriber: aezell.

Tagging Cloud-VPS for help with review. If that's not the right project, please point me in the right direction.

Krenair added a subscriber: Krenair.Jun 3 2019, 7:57 PM

I went to look at https://commons.wikimedia.org/w/index.php?target=https%3A%2F%2Ftoolserver.org%2F%7Enikola%2Fsvgtranslate.php&title=Special%3ALinkSearch but the svg= data I tried on the new svgtranslate did not appear to work. Does it support upload.wm.o URLs?

Sorry, good point: I didn't look into this in enough detail. I've added support for these in PR117 (it was only supporting file page URLs).

The other redirect that I forgot and that we need is probably the homepage of:

https://toolserver.org/~nikola/svgtranslate.phphttps://tools.wmflabs.org/svgtranslate/

PR117 is now in production, so the redirect pattern above should work.

@Samwilson could you check the patch at https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/512341/ to see if it looks like it will do the redirects you want? Leaving a +1 comment there if you are satisfied would be appreciated.

Change 512341 merged by Andrew Bogott:
[operations/puppet@production] toolserver: redirect ~nikola/svgtranslate.php to toolforge

https://gerrit.wikimedia.org/r/512341

Are we good to close this ticket?

Are we good to close this ticket?

The new redirects don't seem to be working as planned yet. I'll go look at the generated config and see if I can spot why.

Are we good to close this ticket?

The new redirects don't seem to be working as planned yet. I'll go look at the generated config and see if I can spot why.

Got it. Thanks Bryan!

Change 514618 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] toolserver: redirect ~nikola/svgtranslate.php to toolforge

https://gerrit.wikimedia.org/r/514618

@Niharika the apache config wasn't quite right, but we'll get it fixed up with https://gerrit.wikimedia.org/r/514618

This comment was removed by Krenair.

Change 514618 merged by Andrew Bogott:
[operations/puppet@production] toolserver: redirect ~nikola/svgtranslate.php to toolforge

https://gerrit.wikimedia.org/r/514618

bd808 closed this task as Resolved.Jun 5 2019, 10:37 PM
bd808 claimed this task.

Its working now! https://toolserver.org/~nikola/svgtranslate.php?svg=http://upload.wikimedia.org/wikipedia/commons/f/f4/Wiggers_Diagram.svg ends up at https://tools.wmflabs.org/svgtranslate/File:Wiggers_Diagram.svg

If you did some testing while the busted rules were in place your browser may remember the bad 301 redirects that were being sent. You can cache-bust that by adding an extra & at the end of the input URL.

Woo! Works for me! Thanks for fixing this! :)